<?php

namespace EventPortal\Domain\Handlers;

use Closure;
use EventPortal\Domain\Form\Payload;

class UpdateModel
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $payload->getModel()->update($payload->getInput());

        $payload->replaceModel($payload->getModel()->fresh());

        return $next($payload);
    }
}
