<?php

namespace EventPortal\Domain\Permission\Models;

use Illuminate\Database\Eloquent\Model;
use OwenIt\Auditing\Auditable;
use OwenIt\Auditing\Contracts\Auditable as AuditableInterface;
use Spatie\Permission\Traits\HasPermissions;

class Group extends Model implements AuditableInterface
{
    use HasPermissions, Auditable;

    protected $table = 'permission_groups';
}
